#include <sta/hal/init.hpp>

#include <sta/assert.hpp>

#ifdef STA_HAL_DELAY_US_TIM
#include <tim.h>
#endif // STA_HAL_DELAY_US_TIM


namespace sta
{
	void initHAL()
	{
#ifdef STA_HAL_DELAY_US_TIM
		// Validate TIM used for delayUs
		extern bool isValidDelayUsTIM();
		STA_ASSERT(isValidDelayUsTIM());
		// Start timer base
		HAL_TIM_Base_Start(&STA_HAL_DELAY_US_TIM);
#endif // STA_HAL_DELAY_US_TIM
	}
}
